package com.purui.prims.headless.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.purui.prims.headless.server.persistence.dataobject.MetricVersionDO;
import com.purui.prims.headless.server.pojo.MetricVersion;

import java.util.List;

/**
 * 指标版本表 服务类
 *
 * @author charlie
 * @since 2024-07-22
 */
public interface MetricVersionService extends IService<MetricVersionDO> {

    List<MetricVersion> queryMetricVersion(Long metricId);

    MetricVersion getLastVersion(Long metricId);

    boolean createNewVersion(Long metricId);

    boolean createNewVersion(Long metricId, String versionNo);

    boolean restorePreviousVersion(Long metricId);

    boolean updateVersionData(Long metricId);
}
